Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 85380 - Some (3rd party) fonts won't print
Summary: Some (3rd party) fonts won't print
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: openoffice.org
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-28 19:54 UTC by Tim Waugh
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-02-27 16:15:06 UTC


Attachments (Terms of Use)

Description Tim Waugh 2003-02-28 19:54:25 UTC
Description of problem:
When a document containing one of a few particular fonts (I've found two such
fonts so far) is printed, gs fails with 'Error: /undefined in ...'.

Version-Release number of selected component (if applicable):
Current rawhide (openoffice-1.0.2-4, ghostscript-7.05-32)

How reproducible:
100%

Steps to Reproduce:
1. Fetch the font 'RabbitEars' (google for rabbitears.zip) and install it.
2. Start OpenOffice.org writer, and write something in that font
3. Print it to PS file print.ps
4. gs print.ps

Actual results:
Error: /undefined in RegularHSet1
Operand stack:
   FontName   Hare
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--   --nostringval--  
--nostringval--   false   1   %stopped_push   1   3   %oparray_pop   1   3  
%oparray_pop   1   3
%oparray_pop   .runexec2   --nostringval--   --nostringval--   --nostringval--
 2   %stopped_push   --nostringval--   --nostringval--   --nostringval--
Dictionary stack:
   --dict:1049/1123(ro)(G)--   --dict:0/20(G)--   --dict:97/200(L)--  
--dict:3/30(L)--
Current allocation mode is local
Current file position is 4931
GNU Ghostscript 7.05: Unrecoverable error, exit code 1

(Could this be a problem with the font itself?)

Comment 1 Dan Williams 2004-02-27 16:15:06 UTC
Please try current OOo 1.1.0, and reopen if problem still occurs

Comment 2 Tim Waugh 2004-03-03 13:48:09 UTC
1.1.0-28 works.


Note You need to log in before you can comment on or make changes to this bug.